Bouncely API

Email Verification API (v1)

Use the verify and bulk endpoints to validate emails from your systems.

Base URL: https://api.gobouncely.com

Auth: Authorization: Bearer <YOUR_API_KEY>

1. Authenticate

All requests require your API key in the Authorization header.

Authorization: Bearer <YOUR_API_KEY>

2. Verify endpoint

Verify a single email in one request.

Endpoint: POST https://api.gobouncely.com/v1/verify

{
  "email": "test@example.com"
}

cURL

curl -X POST https://api.gobouncely.com/v1/verify \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{"email":"test@example.com"}'

PowerShell

$headers = @{
  Authorization = "Bearer <YOUR_API_KEY>"
  "Content-Type" = "application/json"
}
$body = @{ email = "test@example.com" } | ConvertTo-Json -Compress
Invoke-RestMethod -Method POST -Uri "https://api.gobouncely.com/v1/verify" -Headers $headers -Body $body

Node.js (fetch)

const res = await fetch('https://api.gobouncely.com/v1/verify', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer <YOUR_API_KEY>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({ email: 'test@example.com' })
});
const data = await res.json();

3. Bulk create

Send a list of emails and receive a list ID.

Endpoint: POST https://api.gobouncely.com/v1/bulk

{
  "emails": ["dev@gobouncely.com", "support@gobouncely.com"]
}

cURL

curl -X POST https://api.gobouncely.com/v1/bulk \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{"emails":["dev@gobouncely.com","support@gobouncely.com"]}'

PowerShell

$headers = @{
  Authorization = "Bearer <YOUR_API_KEY>"
  "Content-Type" = "application/json"
}
$body = @{ emails = @("dev@gobouncely.com", "support@gobouncely.com") } | ConvertTo-Json -Compress
Invoke-RestMethod -Method POST -Uri "https://api.gobouncely.com/v1/bulk" -Headers $headers -Body $body

Node.js (fetch)

const res = await fetch('https://api.gobouncely.com/v1/bulk', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer <YOUR_API_KEY>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({ emails: ['dev@gobouncely.com', 'support@gobouncely.com'] })
});
const data = await res.json();

4. Bulk results

Poll results with the list ID until completed.

Endpoint: GET https://api.gobouncely.com/v1/bulk_result/<list_id>

curl -H "Authorization: Bearer <YOUR_API_KEY>" \
  "https://api.gobouncely.com/v1/bulk_result/<list_id>?page=1&page_size=200"

5. HTTP status codes

  • 200: Success
  • 400: Invalid request body/email
  • 401: Missing or invalid API key
  • 402: No credits remaining
  • 429: Rate limit / concurrency exceeded
  • 502: Upstream processing error
  • 504: Queue timeout

6. Rate limits

  • Per key per minute: 300
  • Per key per hour: 1200
  • Per key per day: 10000
  • Per IP per minute: 120
  • Max in-flight per key: 10
API Docs | Bouncely